Bug 11324 - Something odd with ping
Summary: Something odd with ping
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netkit-base   
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-09 09:57 UTC by lannet
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-10 17:57:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description lannet 2000-05-09 09:57:47 UTC
I get this on one machine:

[root@janus /root]# ping -qnc1 sit.skills.asn.au ; echo $?
PING sit.skills.asn.au (203.42.220.190): 56 data bytes

--- sit.skills.asn.au ping statistics ---
1 packets transmitted, 0 packets received, 100% packet loss
1

yet from another machine I get:

[root@hero /root]# ping -qnc1 sit.skills.asn.au ; echo $?
PING sit.skills.asn.au (203.42.220.190) from 203.41.237.74 : 56(84) bytes
of data.

--- sit.skills.asn.au ping statistics ---
1 packets transmitted, 0 packets received, +1 errors, 100% packet loss
0

Both pings fail to find the site, which is correct, but the earlier version
(on janus, netbase-kit-0.10-13) returns the correct error code, iaw the man
page, whereas the later version (on hero, netbase-kit-0.10-37) returns the
incorrect error code.

Comment 1 Jeff Johnson 2000-05-10 17:57:59 UTC
The ping in 6.1 (and 6.2) is not based on the netkit ping, but rather on Alexey
Kuznetsov's modifications to ping.

All known problems with ping are fixed (although possibly not to your taste)
in the Red Hat 6.2 iputils-20000121-2 package, the new home of ping. Please
feel free to reopen this report if you find other problems.


Note You need to log in before you can comment on or make changes to this bug.